import List from './list';
import Detail from './detail';
import route from '../../../../components/hoc/routes';
import model from '../../../../models/main/modules/task';

export default binder => route({
  childRoutes: [
    {
      path: 'list',
      name: '列表',
      component: binder(model)(({ task }) => ({ task }))(List),
    },
    {
      path: 'detail',
      name: '详细',
      component: binder(model)(({ task }) => ({ task }))(Detail),
    },
  ],
});
